scala.sys.process

# FileProcessLogger

#### class FileProcessLogger extends ProcessLogger with Closeable with Flushable

A scala.sys.process.ProcessLogger that writes output to a file.

Source
  ProcessLogger.scala

Linear Supertypes
Flushable, Closeable, ProcessLogger, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FileProcessLogger
2. Flushable
3. Closeable
4. ProcessLogger
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new FileProcessLogger(file: File)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from FileProcessLogger to any2stringadd[FileProcessLogger] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (FileProcessLogger, B)

   Implicit information
     This member is added by an implicit conversion from FileProcessLogger to ArrowAssoc[FileProcessLogger] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def buffer[T](f: ⇒ T): T

   If a process is begun with one of these `ProcessBuilder` methods:

   If a process is begun with one of these `ProcessBuilder` methods:

       def !(log: ProcessLogger): Int
       def !<(log: ProcessLogger): Int

   The run will be wrapped in a call to buffer. This gives the logger an opportunity to set up and tear down buffering. At present the library implementations of `ProcessLogger` simply execute the body unbuffered.

   Definition Classes
     FileProcessLogger → ProcessLogger

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def close(): Unit

   Definition Classes
     FileProcessLogger → Closeable

10. #### def ensuring(cond: (FileProcessLogger) ⇒ Boolean, msg: ⇒ Any): FileProcessLogger

    Implicit information
      This member is added by an implicit conversion from FileProcessLogger to Ensuring[FileProcessLogger] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (FileProcessLogger) ⇒ Boolean): FileProcessLogger

    Implicit information
      This member is added by an implicit conversion from FileProcessLogger to Ensuring[FileProcessLogger] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): FileProcessLogger

    Implicit information
      This member is added by an implicit conversion from FileProcessLogger to Ensuring[FileProcessLogger] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): FileProcessLogger

    Implicit information
      This member is added by an implicit conversion from FileProcessLogger to Ensuring[FileProcessLogger] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def err(s: ⇒ String): Unit

    Will be called with each line read from the process error stream.

    Will be called with each line read from the process error stream.

    Definition Classes
      FileProcessLogger → ProcessLogger

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def flush(): Unit

    Definition Classes
      FileProcessLogger → Flushable

19. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from FileProcessLogger to StringFormat[FileProcessLogger] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def out(s: ⇒ String): Unit

    Will be called with each line read from the process output stream.

    Will be called with each line read from the process output stream.

    Definition Classes
      FileProcessLogger → ProcessLogger

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### def →[B](y: B): (FileProcessLogger, B)

    Implicit information
      This member is added by an implicit conversion from FileProcessLogger to ArrowAssoc[FileProcessLogger] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Flushable

### Inherited from Closeable

### Inherited from ProcessLogger

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FileProcessLogger to any2stringadd[FileProcessLogger]

### Inherited by implicit conversion StringFormat from FileProcessLogger to StringFormat[FileProcessLogger]

### Inherited by implicit conversion Ensuring from FileProcessLogger to Ensuring[FileProcessLogger]

### Inherited by implicit conversion ArrowAssoc from FileProcessLogger to ArrowAssoc[FileProcessLogger]

### Ungrouped